## libbluray 0.2.2

=== player_wrappers/xine/Makefile ===
#
# settings
#

DESTDIR        ?= /
INSTALL         = install

#
# compiler options
#

CFLAGS      += -O2 -fPIC
CFLAGS      += -Wall
CFLAGS      += -D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
CFLAGS      += $(shell pkg-config libxine --cflags)
CFLAGS      += $(shell pkg-config libbluray --cflags)

#
# linker options
#

LIBS_XINE    = $(shell pkg-config libxine --libs)
LIBS_BD      = $(shell pkg-config libbluray --libs)

LDFLAGS     += -shared -fvisibility=hidden

#
# targets
#

XINEPLUGINDIR  = $(shell pkg-config libxine --variable=plugindir)

XINEINPUTPLUGIN= xineplug_inp_bluray.so

#
# object files
#

OBJS_XINEINPUTPLUGIN = input_bluray.o

#
# rules
#

all: $(XINEINPUTPLUGIN)

$(XINEINPUTPLUGIN): $(OBJS_XINEINPUTPLUGIN)
	$(CC) $(LDFLAGS) $(LIBS_XINE) $(LIBS_BD) -o $@ $(OBJS_XINEINPUTPLUGIN)

#
# targets
#

clean:
	@rm -rf *.o *.so *~

install: all uninstall
	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
	@$(INSTALL) -D -m 0644 $(XINEINPUTPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)

uninstall:
	@echo Removing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
	@-rm -rf $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)

## libbluray 0.0~git20110717.3477b65

=== debian/changelog ===
libbluray (1:0.0~git20110717.3477b65-3) unstable; urgency=low

  * Enable bdjava on linux hosts only, Closes: #638222
  * Remove files that are deleted during build
  * Invoke javahelper sequence only on linux
  * Build depend on openjdk-6-jdk instead of default-jdk,
    gcj seems to have problems with ant and jni
  * Add myself to uploaders

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 18 Aug 2011 18:16:29 +0200

libbluray (1:0.0~git20110717.3477b65-2) unstable; urgency=low

  [ Andres Mejia ]
  * debian/copyright:
    - Include myself in copyright for debian packaging. Also distribute
      the packaging under the same terms as libbluray.

  [ Alessio Treglia ]
  * Add libaacs0 to libbluray1's Recommends:
    - No need to build-depend on libaacs0 as libbluray1 is able to load
      it via dlopen()
  * debian/copyright: Use the Comment field (as per DEP-5 rev. 174)
  * debian/control: Add myself as uploader.

 -- Alessio Treglia <alessio@debian.org>  Sun, 14 Aug 2011 11:24:40 +0200

libbluray (1:0.0~git20110717.3477b65-1) unstable; urgency=low

  * Package new upstream git snapshot.
  * Update to my @debian.org email.
  * Bump soname. (Closes: #633462)
  * Fix build dependencies for generating documentation.
  * Add watch file.

 -- Andres Mejia <amejia@debian.org>  Mon, 18 Jul 2011 22:34:06 -0400

libbluray (0.2~git20110613.e93aa91-1) unstable; urgency=low

  * New upstream git snapshot from commit
    e93aa914327f8599ee69665a877a3777b1809691

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 15 Jun 2011 20:37:33 +0200

libbluray (0.2~git20110427.8b86664-1) unstable; urgency=low

  * New upstream git snapshot from commit
    8b866642a667c81cbad475308686484af8ea864b.
  * Rico Tzschichholz was added as uploader.
  * Bump to Standards-Version 3.9.2.
  * Add libxml2-dev as build dependency.
  * Introduce libbluray-bdj package for BD-J library.
  * Introduce package for documentation.
  * Correct package short descriptions.

 -- Andres Mejia <mcitadel@gmail.com>  Wed, 27 Apr 2011 17:41:28 -0400

libbluray (0.1~git20100913.16c8a21-1) unstable; urgency=low

  * Initial release. (Closes: #591192)

 -- Andres Mejia <mcitadel@gmail.com>  Mon, 13 Sep 2010 15:32:57 -0400

=== debian/control ===
Source: libbluray
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Andres Mejia <amejia@debian.org>,
 Rico Tzschichholz <ricotz@ubuntu.com>,
 Reinhard Tartler <siretart@tauware.de>,
 Alessio Treglia <alessio@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~),
               javahelper,
               openjdk-6-jdk [linux-any],
               ant,
               libxml2-dev,
               doxygen,
               texlive-latex-base,
               texlive-latex-recommended,
               texlive-latex-extra,
               latex-xcolor,
               texlive-fonts-recommended,
               dh-autoreconf
Standards-Version: 3.9.2
Homepage: http://www.videolan.org/developers/libbluray.html
Vcs-Git: git://git.debian.org/git/pkg-multimedia/libbluray.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libbluray.git;a=summary

Package: libbluray-dev
Architecture: any
Section: libdevel
Depends: libbluray1 (= ${binary:Version}),
         libbluray-bdj (= ${source:Version}),
         ${misc:Depends}
Description: Blu-ray disc playback support library (development files)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J.
 .
 NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 This package provides the necessary files needed for development.

Package: libbluray1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libbluray-bdj, libaacs0
Description: Blu-ray disc playback support library (shared library)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J.
 .
 NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 This package provides the shared library.

Package: libbluray-bdj
Architecture: all
Depends: libbluray1 (>= ${source:Version}),
         libbluray1 (<< ${source:Version}.1~),
         default-jre-headless | java2-runtime-headless,
         ${java:Depends},
         ${misc:Depends}
Description: Blu-ray disc playback support library (BD-J library)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J.
 .
 NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 This package provides the BD-J library.

Package: libbluray-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Description: Blu-ray disc playback support library (documentation)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J.
 .
 NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 This package provides the libbluray documentation.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/java-6-openjdk
export DEB_BUILD_ARCH_OS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)

confflags := --enable-doxygen-doc

# enable bdjava on linux hosts only
ifneq (,$(findstring linux,$(DEB_BUILD_ARCH_OS)))
confflags += --enable-bdjava
endif

# Set CFLAGS to DEB_CFLAGS
CFLAGS=$(DEB_CFLAGS)

ifneq (,$(findstring linux,$(DEB_BUILD_ARCH_OS)))
%:
	dh --with javahelper,autoreconf $@
else
%:
	dh --with autoreconf $@
endif

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_build:
	dh_auto_build
	make doxygen-doc

override_dh_installdocs:
	dh_installdocs --exclude=jquery.js

override_dh_clean:
	dh_clean
	rm -rf src/libbluray/bdj/build

get-orig-source:
	$(dir $_)libbluray-get-orig-source

## libbluray 0.2~git20110213.20739ed

=== debian/changelog ===
libbluray (0.2~git20110213.20739ed-0ubuntu3) natty; urgency=low

  [ Rico Tzschichholz ]
  * debian/rules,debian/control:
    + Add libbluray-bdj package includes the Java library for BD-J support,
      so just using libbluray0 won't pull in a Java runtime (LP: #725892)
    + Disable build of examples because we don't install them

  [ Reinhard Tartler ]
  * make libbluray-bdj arch:all
  * improve the description of the package of libbluray0

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 02 Mar 2011 22:38:27 +0100

libbluray (0.2~git20110213.20739ed-0ubuntu2) natty; urgency=low

  [ Rico Tzschichholz ]
  * add myself to uploaders
  * update debian/copyright

  [ Reinhard Tartler ]
  * update maintainers field

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 22 Feb 2011 21:23:40 +0100

libbluray (0.2~git20110213.20739ed-0ubuntu1) natty; urgency=low

  * New upstream git snapshot of http://git.videolan.org/?p=libbluray.git
    + Checkout from git 20110213 (master branch) up to commit
      20739ede2fcadd67b35a1553b9ee9372de21f9f7

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 17 Feb 2011 10:48:32 +0100

=== debian/control ===
Source: libbluray
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Andres Mejia <mcitadel@gmail.com>,
 Rico Tzschichholz <ricotz@ubuntu.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~),
               javahelper,
               default-jdk,
               ant
Standards-Version: 3.9.1
Homepage: http://www.videolan.org/developers/libbluray.html
Vcs-Git: git://git.debian.org/git/pkg-multimedia/libbluray.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libbluray.git;a=summary

Package: libbluray-dev
Architecture: any
Section: libdevel
Depends: libbluray0 (= ${binary:Version}), ${misc:Depends}
Description: Blu-ray disc playback support library (development files)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J.
 .
 NB: Most commercial Blu-Ray are protected by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 This package provides the necessary files needed for development.

Package: libbluray0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libbluray-bdj
Description: Blu-ray disc playback support library (libraries)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J. Please note that for menu and BD-J support,
 the libbluray-bdj package needs to be installed.
 .
 NB: Most commercial Blu-Ray are protected by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 This package provides the shared library.

Package: libbluray-bdj
Architecture: all
Section: java
Depends: libbluray0 (>= ${source:Upstream-Version}),
         default-jre-headless | java2-runtime-headless,
         ${java:Depends},
         ${misc:Depends}
Description: Blu-ray disc playback support library (BD-J libraries)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J.
 .
 NB: Most commercial Blu-Ray are protected by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 This package provides the BD-J library.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java

# Set CFLAGS to DEB_CFLAGS
CFLAGS=$(DEB_CFLAGS)

%:
	dh --with javahelper $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-examples --enable-bdjava

override_dh_clean:
	dh_clean
	rm -rf src/libbluray/bdj/build

get-orig-source:
	$(dir $_)libbluray-get-orig-source

## libbluray 0.2~git20111001.8e5d241

=== debian/changelog ===
libbluray (1:0.2~git20111001.8e5d241-1) unstable; urgency=low

  * Include all files from upstream source.
  * Remove gbp options which are always default.
  * Use different mechanism to set soname.
  * Don't use dh-autoreconf.
  * Put dh sequence as first option.
  * Use dh --parallel.
  * Update this package so it supports multiarch.
  * Update upstream version to '0.2', which upstream uses.
  * Include static lib.

 -- Andres Mejia <amejia@debian.org>  Sat, 01 Oct 2011 17:57:33 -0400

libbluray (1:0.0~git20110717.3477b65-5) unstable; urgency=low

  * Restrict JAVA related checks to Linux architectures (Fixes FTBFS on !Linux)
    Thanks to Christoph Egger for reporting on IRC
  * normalize debian/copyright with config-edit.
    Thanks to lintian for finding an obsoleted field

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 30 Sep 2011 08:58:32 +0200

libbluray (1:0.0~git20110717.3477b65-4) unstable; urgency=low

  * Set JAVA_HOME variable correctly to accommodate the multiarch changes.
    Thanks to Mònica Ramírez Arceda <monica@probeta.net> for reporting
    (Closes: #640337)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 29 Sep 2011 18:22:24 +0200

=== debian/control ===
Source: libbluray
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Andres Mejia <amejia@debian.org>,
 Rico Tzschichholz <ricotz@ubuntu.com>,
 Reinhard Tartler <siretart@tauware.de>,
 Alessio Treglia <alessio@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.1.3~),
               javahelper,
               openjdk-6-jdk [linux-any],
               ant,
               libxml2-dev,
               doxygen,
               texlive-latex-base,
               texlive-latex-recommended,
               texlive-latex-extra,
               latex-xcolor,
               texlive-fonts-recommended,
Standards-Version: 3.9.2
Homepage: http://www.videolan.org/developers/libbluray.html
Vcs-Git: git://git.debian.org/git/pkg-multimedia/libbluray.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libbluray.git;a=summary

Package: libbluray-dev
Architecture: any
Section: libdevel
Depends: libbluray1 (= ${binary:Version}),
         libbluray-bdj (= ${source:Version}),
         ${misc:Depends}
Description: Blu-ray disc playback support library (development files)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J.
 .
 NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 This package provides the necessary files needed for development.

Package: libbluray1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libbluray-bdj, libaacs0
Description: Blu-ray disc playback support library (shared library)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J.
 .
 NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 This package provides the shared library.

Package: libbluray-bdj
Architecture: all
Depends: libbluray1 (>= ${source:Version}),
         libbluray1 (<< ${source:Version}.1~),
         default-jre-headless | java2-runtime-headless,
         ${java:Depends},
         ${misc:Depends}
Description: Blu-ray disc playback support library (BD-J library)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J.
 .
 NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 This package provides the BD-J library.

Package: libbluray-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Description: Blu-ray disc playback support library (documentation)
 libbluray is an open-source library designed for Blu-Ray Discs playback for
 media players, like VLC or MPlayer. This research project is developed by an
 international team of developers from Doom9. libbluray integrates navigation,
 playlist parsing, menus, and BD-J.
 .
 NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
 library is not enough to playback those discs.
 .
 This package provides the libbluray documentation.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_ARCH_OS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

confflags := --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-doxygen-doc

# enable bdjava on linux hosts only
ifneq (,$(findstring linux,$(DEB_BUILD_ARCH_OS)))

# openjdk-6_6b23~pre8-2 and later have multiarchified JAVA_HOME
JAVA_HOME=/usr/lib/jvm/java-6-openjdk-$(DEB_BUILD_ARCH)
ifeq (,$(wildcard $(JAVA_HOME)))
JAVA_HOME=/usr/lib/jvm/java-6-openjdk
ifeq (,$(wildcard $(JAVA_HOME)))
     $(info "warning: No suitable jni.h was found. Package will most probably FTBFS!")
endif
endif

$(info Located java at $(JAVA_HOME))
confflags += --enable-bdjava --with-jdk=$(JAVA_HOME)
endif

# Set CFLAGS to DEB_CFLAGS
CFLAGS=$(DEB_CFLAGS)

ifneq (,$(findstring linux,$(DEB_BUILD_ARCH_OS)))
%:
	dh $@ --parallel --with javahelper
else
%:
	dh $@ --parallel
endif

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_build:
	dh_auto_build
	make doxygen-doc

override_dh_installdocs:
	dh_installdocs --exclude=jquery.js

override_dh_clean:
	dh_clean
	rm -rf src/libbluray/bdj/build

get-orig-source:
	$(dir $_)libbluray-get-orig-source

=== debian/watch ===
# There are no upstream release tarballs available yet.

## libbluray 0.2.1%2bgit20111208.63e308d

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,8 @@
 Architecture: any
 Section: libdevel
 Depends: libbluray1 (= ${binary:Version}),
-         libbluray-bdj (= ${source:Version}),
          ${misc:Depends}
+Suggests: libbluray-bdj
 Description: Blu-ray disc playback support library (development files)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
  media players, like VLC or MPlayer. This research project is developed by an
@@ -45,7 +45,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libbluray-bdj, libaacs0
+Recommends: libaacs0
+Suggests: libbluray-bdj
 Description: Blu-ray disc playback support library (shared library)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
  media players, like VLC or MPlayer. This research project is developed by an
@@ -57,6 +58,24 @@
  .
  This package provides the shared library.
 
+Package: libbluray1-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libbluray1 (= ${binary:Version}),
+ ${misc:Depends}
+Multi-Arch: same
+Description: Blu-ray disc playback support library (debug symbols)
+ libbluray is an open-source library designed for Blu-Ray Discs playback for
+ media players, like VLC or MPlayer. This research project is developed by an
+ international team of developers from Doom9. libbluray integrates navigation,
+ playlist parsing, menus, and BD-J.
+ .
+ NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
+ library is not enough to playback those discs.
+ .
+ This package provides debug symbols for the shared library.
+
 Package: libbluray-bdj
 Architecture: all
 Depends: libbluray1 (>= ${source:Version}),
@@ -64,7 +83,7 @@
          default-jre-headless | java2-runtime-headless,
          ${java:Depends},
          ${misc:Depends}
-Description: Blu-ray disc playback support library (BD-J library)
+Description: Blu-ray Disc Java support library (BD-J library)
  libbluray is an open-source library designed for Blu-Ray Discs playback for
  media players, like VLC or MPlayer. This research project is developed by an
  international team of developers from Doom9. libbluray integrates navigation,
@@ -72,6 +91,10 @@
  .
  NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
  library is not enough to playback those discs.
+ .
+ BD-J support is important because many of the advanced features and extra
+ content in Blu-ray movies uses BD-J. Programs designed to provide support for
+ those features must depend on this.
  .
  This package provides the BD-J library.

## libbluray 0.2.1+git20111208.63e308d

=== debian/changelog ===
libbluray (1:0.2.1+git20111208.63e308d-3) unstable; urgency=low

  * Demote libbluray-bdj to Suggests in the libbluray1 library package.
    Thanks to Micah Gersten <micahg@ubuntu.com> and
    Paul Fertser <fercerpav@gmail.com> (Closes: #656850)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Feb 2012 10:52:40 +0100

libbluray (1:0.2.1+git20111208.63e308d-2) unstable; urgency=low

  * Demote libbluray-bdj to libbluray-dev's Suggests since it is actually
    unneeded by a number of reverse dependencies; thanks to Neil Williams
    for having pointed this out. (Closes: #659165)

 -- Alessio Treglia <alessio@debian.org>  Fri, 10 Feb 2012 09:57:07 +0100

libbluray (1:0.2.1+git20111208.63e308d-1) unstable; urgency=low

  * New upstream git snapshot from commit
    63e308d9c6ce1cd361fed713620fab16d67a84e1
  * debian/patches:
    - Drop soname-bump.patch, which has been done upstream now

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 16 Dec 2011 10:43:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,9 @@
 	dh_auto_build
 	make doxygen-doc
 
+override_dh_strip:
+	dh_strip -plibbluray1 --dbg-package=libbluray1-dbg
+
 override_dh_installdocs:
 	dh_installdocs --exclude=jquery.js

## libbluray 0.2.2

=== debian/changelog ===
libbluray (1:0.2.2-1~bpo60+2) squeeze-backports; urgency=low

  * No-change reupload to work around archive confusion

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 21 May 2012 20:56:00 +0200

libbluray (1:0.2.2-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Revert Multi-Arch changes.

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 18 May 2012 14:31:30 +0200

libbluray (1:0.2.2-1) unstable; urgency=low

  * New upstream release

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 20 Mar 2012 13:55:03 +0100

libbluray (1:0.2.1+git20111208.63e308d-5) unstable; urgency=low

  * Enable hardened compiler flags.

 -- Andres Mejia <amejia@debian.org>  Mon, 19 Mar 2012 10:03:21 -0400

libbluray (1:0.2.1+git20111208.63e308d-4) unstable; urgency=low

  * Allow dev package to be multiarch installable.
  * Bump to Standards-Version 3.9.3.
  * Add Multi-Arch: foreign field for libbluray-bdj. Needed since libbluray1 has
    a Suggests dependency on libbluray-bdj.

 -- Andres Mejia <amejia@debian.org>  Fri, 16 Mar 2012 17:52:52 -0400

libbluray (1:0.2~git20111001.8e5d241-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 08 Oct 2011 15:32:44 +0200

=== debian/control ===
--- 
+++ 
@@ -18,12 +18,13 @@
                texlive-latex-extra,
                latex-xcolor,
                texlive-fonts-recommended,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.videolan.org/developers/libbluray.html
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/libbluray.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libbluray.git;a=summary
 
 Package: libbluray-dev
+Multi-Arch: same
 Architecture: any
 Section: libdevel
 Depends: libbluray1 (= ${binary:Version}),
@@ -77,6 +78,7 @@
  This package provides debug symbols for the shared library.
 
 Package: libbluray-bdj
+Multi-Arch: foreign
 Architecture: all
 Depends: libbluray1 (>= ${source:Version}),
          libbluray1 (<< ${source:Version}.1~),

=== debian/rules ===
--- 
+++ 
@@ -23,14 +23,14 @@
 endif
 
 # Set CFLAGS to DEB_CFLAGS
-CFLAGS=$(DEB_CFLAGS)
+CFLAGS=$(shell dpkg-buildflags --get CFLAGS 2>/dev/null | sed -e 's/-O2//g')
 
 ifneq (,$(findstring linux,$(DEB_BUILD_ARCH_OS)))
 %:
-	dh $@ --parallel --with javahelper
+	dh $@ --with javahelper
 else
 %:
-	dh $@ --parallel
+	dh $@
 endif
 
 override_dh_auto_configure:

## libbluray 0.2.3

=== debian/changelog ===
libbluray (1:0.2.3-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release
    - Fixed memory leaks
    - Automatic language selection: disable subtitles when audio is in the
      same language
    - Fixed accessing outside of array bounds
    - Default to stream 0 when requested language not found
    - Install bd_info
    - Added disc ID and AACS MKB version to BD_DISC_INFO
    - Added extended AACS error codes

  [ James Page ]
  * Transition package to use default java implementation:
    - d/control: BD on default-jdk for linux archs.
    - d/rules: Use /usr/lib/jvm/default-java for JAVA_HOME.
    - d/patches/java-compat.patch: Set source/target = 1.5 to ensure
      that backwards compatible bytecode is built.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 19 Sep 2012 08:46:53 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8.1.3~),
                javahelper,
-               openjdk-6-jdk [linux-any],
+               default-jdk [linux-any],
                ant,
                libxml2-dev,
                doxygen,

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,10 @@
 # enable bdjava on linux hosts only
 ifneq (,$(findstring linux,$(DEB_BUILD_ARCH_OS)))
 
-# openjdk-6_6b23~pre8-2 and later have multiarchified JAVA_HOME
-JAVA_HOME=/usr/lib/jvm/java-6-openjdk-$(DEB_BUILD_ARCH)
-ifeq (,$(wildcard $(JAVA_HOME)))
-JAVA_HOME=/usr/lib/jvm/java-6-openjdk
+# Use default java implementation
+JAVA_HOME=/usr/lib/jvm/default-java
 ifeq (,$(wildcard $(JAVA_HOME)))
      $(info "warning: No suitable jni.h was found. Package will most probably FTBFS!")
-endif
 endif
 
 $(info Located java at $(JAVA_HOME))
@@ -27,10 +24,10 @@
 
 ifneq (,$(findstring linux,$(DEB_BUILD_ARCH_OS)))
 %:
-	dh $@ --with javahelper
+	dh $@ --parallel --with javahelper
 else
 %:
-	dh $@
+	dh $@ --parallel
 endif
 
 override_dh_auto_configure:

## libbluray 0.4.0

=== debian/changelog ===
libbluray (1:0.4.0-1) unstable; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release (0.4.0)
    - Fixed slide shows: always cut reads at clip end boundary
    - Fixed logging with non-default mask
    - Fixed buffer overflow in bd_psr_unregister_cb()
    - Fixed IG background when button image position changes
    - Fixed BD-J tearing issues
    - Changed default PhoneME library name in Windows (cvm -> cvmi)
    - Initialize default player region code to B
    - Improved BD-J support (still alpha)
    - Improved language-based stream autoselection
    - Added missing Java files to distribution package
    - Added support for multi-clip sub paths
    - Added bd_select_stream()
    - Added menu page effects
    - Added button animations
    - Added initial support for BluRay Text Subtitles
    - Added bd_read_clpi(): use only public API in clpi_dump
    - Added reference-counted RLE images
  * New upstream release (0.3.0)
    - Build fixes
    - Fixed stopping playback from pop-up menu
    - Fixed multithreading issues in API
    - Fixed initial setting for player profile
    - Fixed stack corruption with long log strings
    - Improved configure script
    - Improved Visual Studio support
    - Improved BD-J support (still alpha)
    - Allow changing player version
    - Added PG (subtitle) decoding and rendering support
    - Added ARGB overlay interface for BD-J graphics
    - Added events for discontinuity, idle state and 3D mode
    - Added playmarks to BLURAY_TITLE_INFO
    - added start time, in time and out time to BLURAY_CLIP_INFO
    - added sub-path id to BLURAY_STREAM_INFO
    - Added bd_seek_playitem()
    - Added bd_set_scr()
    - Added 3D extension data to raw clip info
    - added 3D player settings
    - Added cropping and palette update flag to BD_OVERLAY
  * debian/patches:
    - Refreshed 01_java-compat.patch and keep targeting 1.5
  * debian/control,libbluray-bin:
    - Install /usr/bin/bd_info
    - Add explicit build-dep on pkg-config (Closes: #688578)
    - Add build-dep on libfreetype6-dev
  * debian/rules:
    - Use --fail-missing
    - Pass --with-libxml2, --with-bdj-type=j2se and --with-freetype

  [ Alessio Treglia ]
  * Upload to unstable.
  * Set VCS urls to use canonical form.
  * Update debian/copyright:
    - Refresh the format according to debian copyright format 1.0
    - Add myself to the copyright holders list of the debian/ directory.
    - Group files by license, split licenses from file stanzas.
  * Refresh 01_java-compat.patch.
  * debian/rules: Fix JAVA detection.

 -- Alessio Treglia <alessio@debian.org>  Sat, 05 Oct 2013 13:26:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Reinhard Tartler <siretart@tauware.de>,
  Alessio Treglia <alessio@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8.1.3~),
+               pkg-config,
                javahelper,
                default-jdk [linux-any],
                ant,
+               libfreetype6-dev,
                libxml2-dev,
                doxygen,
                texlive-latex-base,
@@ -18,10 +19,10 @@
                texlive-latex-extra,
                latex-xcolor,
                texlive-fonts-recommended,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.videolan.org/developers/libbluray.html
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/libbluray.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libbluray.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libbluray.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libbluray.git
 
 Package: libbluray-dev
 Multi-Arch: same
@@ -100,6 +101,23 @@
  .
  This package provides the BD-J library.
 
+Package: libbluray-bin
+Architecture: any
+Section: utils
+Depends: libbluray1 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: Blu-ray disc playback support library (tools)
+ libbluray is an open-source library designed for Blu-Ray Discs playback for
+ media players, like VLC or MPlayer. This research project is developed by an
+ international team of developers from Doom9. libbluray integrates navigation,
+ playlist parsing, menus, and BD-J.
+ .
+ NB: Most commercial Blu-Ray are restricted by AACS or BD+ technologies and this
+ library is not enough to playback those discs.
+ .
+ This package provides a simple tool to retrieve information about a Blu-ray.
+
 Package: libbluray-doc
 Section: doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DEB_BUILD_ARCH_OS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
 DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
-confflags := --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-doxygen-doc
+confflags := --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-doxygen-doc --with-libxml2
 
 # enable bdjava on linux hosts only
 ifneq (,$(findstring linux,$(DEB_BUILD_ARCH_OS)))
@@ -15,8 +15,9 @@
      $(info "warning: No suitable jni.h was found. Package will most probably FTBFS!")
 endif
 
+export JDK_HOME=$(JAVA_HOME)
 $(info Located java at $(JAVA_HOME))
-confflags += --enable-bdjava --with-jdk=$(JAVA_HOME)
+confflags += --enable-bdjava --with-bdj-type=j2se --with-jdk=$(JAVA_HOME) --with-freetype
 endif
 
 # Set CFLAGS to DEB_CFLAGS
@@ -39,9 +40,13 @@
 
 override_dh_strip:
 	dh_strip -plibbluray1 --dbg-package=libbluray1-dbg
+	dh_strip
 
 override_dh_installdocs:
 	dh_installdocs --exclude=jquery.js
+
+override_dh_install:
+	dh_install -X.la -Xlibbluray.jar --fail-missing
 
 override_dh_clean:
 	dh_clean

## libbluray 0.5.0

=== debian/changelog ===
libbluray (1:0.5.0-1) unstable; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release (0.5.0) (Closes: #734529)
    - Fixes build issues with newer freetype. (Closes: #733400)
    - Portability fixes.
    - Build system updates.
    - Improved BD-J support (still alpha).
    - Improved updating of application-allocated ARGB frame buffer.
    - Get JRE library location from registry (Windows).
    - Added bd_get_main_title().
    - Added BD_EVENT_ERROR when title playback fails.
    - Added BD-J flags to disc info.
    - Added support for user timeout in HDMV menus.
    - Added cropping of RLE images. Cropping values in overlay are now always 0.
    - Added support for LIBAACS_PATH and LIBBDPLUS_PATH environment variables.
    - Added timestamp based m2ts stream filtering.

  [ Sebastian Ramacher ]
  * Build with dh-autoreconf. Thanks to Colin Watson for the patch.
    (Closes: #737652)
  * Build Doxygen documentation only in -indep.
    - debian/control: Move LaTeX and Doxygen build dependencies to
      Build-Depends-Indep.
    - debian/rules: Replace override_dh_auto_build target with
      override_dh_auto_build-indep target.
  * debian/control:
    - Bump debhelper to >= 9.
    - Make ant and javahelper B-D linux-any specific to match B-D on
      default-jdk.
    - Bump Standards-Version to 3.9.5.
    - Add myself to Uploaders.
  * debian/rules: Remove unused and unnecessary flags.
  * debian/copyright: Update copyright years and holders.
  * debian/libbluray1.symbols: Add symbols file.
  * debian/bd_info.1: Add manpage for bd_info.
  * debian/patches/02_online-image.patch: Do not fetch images from the web.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Feb 2014 02:10:53 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,23 @@
 Uploaders: Andres Mejia <amejia@debian.org>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Reinhard Tartler <siretart@tauware.de>,
- Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 8.1.3~),
+ Alessio Treglia <alessio@debian.org>,
+ Sebastian Ramacher <sramacher@debian.org>
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                pkg-config,
-               javahelper,
+               javahelper [linux-any],
                default-jdk [linux-any],
-               ant,
+               ant [linux-any],
                libfreetype6-dev,
-               libxml2-dev,
-               doxygen,
-               texlive-latex-base,
-               texlive-latex-recommended,
-               texlive-latex-extra,
-               latex-xcolor,
-               texlive-fonts-recommended,
-Standards-Version: 3.9.4
+               libxml2-dev
+Build-Depends-Indep: doxygen,
+                     texlive-latex-base,
+                     texlive-latex-recommended,
+                     texlive-latex-extra,
+                     latex-xcolor,
+                     texlive-fonts-recommended,
+Standards-Version: 3.9.5
 Homepage: http://www.videolan.org/developers/libbluray.html
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libbluray.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libbluray.git

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,8 @@
 #!/usr/bin/make -f
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_BUILD_ARCH_OS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
-DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
-confflags := --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --enable-doxygen-doc --with-libxml2
+confflags := --with-libxml2 --with-freetype
 
 # enable bdjava on linux hosts only
 ifneq (,$(findstring linux,$(DEB_BUILD_ARCH_OS)))
@@ -17,7 +15,7 @@
 
 export JDK_HOME=$(JAVA_HOME)
 $(info Located java at $(JAVA_HOME))
-confflags += --enable-bdjava --with-bdj-type=j2se --with-jdk=$(JAVA_HOME) --with-freetype
+confflags += --enable-bdjava --with-bdj-type=j2se
 endif
 
 # Set CFLAGS to DEB_CFLAGS
@@ -25,17 +23,16 @@
 
 ifneq (,$(findstring linux,$(DEB_BUILD_ARCH_OS)))
 %:
-	dh $@ --parallel --with javahelper
+	dh $@ --parallel --with javahelper,autoreconf
 else
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with autoreconf
 endif
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
 
-override_dh_auto_build:
-	dh_auto_build
+override_dh_auto_build-indep:
 	make doxygen-doc
 
 override_dh_strip:

=== debian/watch ===
version=3
http://www.videolan.org/developers/libbluray.html \
ftp://ftp.videolan.org/pub/videolan/libbluray/.*/libbluray-(.*)\.tar\.bz2

## libbluray 0.6.2

=== debian/changelog ===
libbluray (1:0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add graphviz to Build-Depends-Indep for doxygen
    documentation.
  * debian/patches: Refreshed.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 04 Sep 2014 19:11:51 +0200

libbluray (1:0.6.1-2) unstable; urgency=medium

  * debian/patches/03_split-jar-build-for-arch-all.patch: Don't fail if ant is
    not there and we don't build the jar.
  * debian/rules: Build with --disable-silent-rules.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 04 Aug 2014 21:28:27 +0200

libbluray (1:0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Remove Files-Excluded again. Upstream no longer includes
    the files we had to remove.
  * debian/patches/04_kfreebsd-include.patch: Refreshed.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 04 Aug 2014 19:13:20 +0200

libbluray (1:0.6.0+dfsg-2) unstable; urgency=medium

  * debian/patches/04_kfreebsd-include.patch: Add a workaround for #751532.
    (Closes: #751433).

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 28 Jun 2014 02:27:46 +0200

libbluray (1:0.6.0+dfsg-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * debian/control: Remove Andres Meja from Uploaders. Andres is MIA according
    to the MIA team. Thank you for maintaining libbluray, Andres! (Closes:
    #743571)
  * debian/watch: Mangle Debian version.
  * debian/copyright:
    - Add myself.
    - Update copyright years.
    - Document excluded files.
    - Add license information for JNI headers.

  [ Rico Tzschichholz ]
  * New upstream release (0.6.0)
    - Improved BD-J support (Most BD-J discs are correctly played).
    - Mark BD-J titles supported in BLURAY_DISC_INFO if BD-J is functional.
    - Install .jar files to datadir (/usr/share/java/) instead of libdir.
      (LP: #1302319)
    - Added version number to .jar file names.
    - Added JNI headers for BD-J (cross) compilation.
    - Added HDMV/BD-J title information to BLURAY_DISC_INFO.
    - Added disc application info to BLURAY_DISC_INFO.
    - Added bd_set_rate().
    - Added color keys (RED, GREEN, YELLOW, BLUE).
    - Improved error resilence.
    - Fix build without libxml.
    - Fix build failures with OpenJDK 8. (Closes: #746729)
  * Repacked tarball to drop prebuilt binaries
  * Upstream installs libbluray-.jar properly now
  * Update symbols file

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 12 Jun 2014 14:34:26 +0200

libbluray (1:0.5.0-2) unstable; urgency=medium

  * Build JAR file only if we're building Architecture: all packages.
    - debian/patches/03_split-jar-build-for-arch-all.patch: Add option to
      selectively build JAR file.
    - debian/rules:
      + Only build JAR file if we are building libbluray-bdj.
      + Build with BD-J support on all architectures.
    - debian/control: Move ant to Build-Depends-Indep.
  * debian/libbluray-doc.examples: Provide example source.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Feb 2014 22:11:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Andres Mejia <amejia@debian.org>,
+Uploaders:
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Reinhard Tartler <siretart@tauware.de>,
  Alessio Treglia <alessio@debian.org>,
@@ -10,17 +10,18 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                pkg-config,
-               javahelper [linux-any],
-               default-jdk [linux-any],
-               ant [linux-any],
+               default-jdk,
+               javahelper,
                libfreetype6-dev,
                libxml2-dev
-Build-Depends-Indep: doxygen,
+Build-Depends-Indep: ant,
+                     doxygen,
+                     graphviz,
                      texlive-latex-base,
                      texlive-latex-recommended,
                      texlive-latex-extra,
                      latex-xcolor,
-                     texlive-fonts-recommended,
+                     texlive-fonts-recommended
 Standards-Version: 3.9.5
 Homepage: http://www.videolan.org/developers/libbluray.html
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libbluray.git

=== debian/rules ===
#!/usr/bin/make -f

confflags = --with-libxml2 --with-freetype \
	--enable-bdjava --with-bdj-type=j2se \
	--disable-silent-rules
# --enable-bdjava-jar is introduced by 03_split-jar-build-for-arch-all.patch.
# This enables us to build the JAR file only if the Architecture: all package
# libbluray-bdj is built.
confflags_java = --enable-bdjava-jar

# Use default java implementation
export JDK_HOME=/usr/lib/jvm/default-java
ifeq (,$(wildcard $(JDK_HOME)))
    $(info "warning: No suitable jni.h was found. Package will most probably FTBFS!")
endif

# Set CFLAGS to DEB_CFLAGS
CFLAGS=$(shell dpkg-buildflags --get CFLAGS 2>/dev/null | sed -e 's/-O2//g')

%:
	dh $@ --parallel --with javahelper,autoreconf

override_dh_auto_configure:
ifneq (,$(findstring libbluray-bdj,$(shell dh_listpackages)))
	dh_auto_configure -- $(confflags) $(confflags_java)
else
	dh_auto_configure -- $(confflags)
endif

override_dh_auto_build-indep:
	make doxygen-doc

override_dh_strip:
	dh_strip -plibbluray1 --dbg-package=libbluray1-dbg
	dh_strip

override_dh_installdocs:
	dh_installdocs --exclude=jquery.js

override_dh_install:
	dh_install -X.la --fail-missing

override_dh_clean:
	dh_clean
	rm -rf src/libbluray/bdj/build

get-orig-source:
	$(dir $_)libbluray-get-orig-source

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://www.videolan.org/developers/libbluray.html \
ftp://ftp.videolan.org/pub/videolan/libbluray/.*/libbluray-(.*)\.tar\.bz2

## libbluray 0.7.0

=== debian/changelog ===
libbluray (1:0.7.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches: Refresh patches.
  * debian/control:
    - Add libfontconfig-dev to Build-Depends.
    - Bump Standards-Version.
  * debian/libbluray1.symbols: Add new symbols.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Jan 2015 01:48:57 +0100

## libbluray 0.8.1

=== debian/changelog ===
libbluray (1:0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/05_bd_open-return-NULL-if-disc-root-is-NULL.patch: Removed,
    included upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 23 May 2015 16:58:44 +0200

libbluray (1:0.8.0-2) unstable; urgency=medium

  * debian/patches/05_bd_open-return-NULL-if-disc-root-is-NULL.patch: Fix
    crash when accessing empty discs. (Closes: #785159)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 13 May 2015 23:14:05 +0200

libbluray (1:0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Refresh patches.
  * debian/libbluray1.symbols: Add new symbols.
  * debian/copyright: Add copyright information for libudfread.
  * debian/rules: Build with --enable-udf.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 May 2015 01:39:41 +0200

libbluray (1:0.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Apr 2015 10:48:28 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                default-jdk,
                javahelper,
                libfreetype6-dev,
+               libfontconfig-dev,
                libxml2-dev
 Build-Depends-Indep: ant,
                      doxygen,
@@ -22,7 +23,7 @@
                      texlive-latex-extra,
                      latex-xcolor,
                      texlive-fonts-recommended
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.videolan.org/developers/libbluray.html
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libbluray.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libbluray.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 confflags = --with-libxml2 --with-freetype \
 	--enable-bdjava --with-bdj-type=j2se \
+	--enable-udf \
 	--disable-silent-rules
 # --enable-bdjava-jar is introduced by 03_split-jar-build-for-arch-all.patch.
 # This enables us to build the JAR file only if the Architecture: all package
@@ -13,9 +14,6 @@
 ifeq (,$(wildcard $(JDK_HOME)))
     $(info "warning: No suitable jni.h was found. Package will most probably FTBFS!")
 endif
-
-# Set CFLAGS to DEB_CFLAGS
-CFLAGS=$(shell dpkg-buildflags --get CFLAGS 2>/dev/null | sed -e 's/-O2//g')
 
 %:
 	dh $@ --parallel --with javahelper,autoreconf
@@ -43,6 +41,3 @@
 override_dh_clean:
 	dh_clean
 	rm -rf src/libbluray/bdj/build
-
-get-orig-source:
-	$(dir $_)libbluray-get-orig-source
